#!/usr/bin/env node
'use strict';
var fs = require('fs');
var meow = require('meow');
var cognate = require('cognate');
var path = require('path');

var cli = meow({
	help: ['replace_ms_chars folderpath']
});

var folder = cli.input[0];

if (!folder) {
	folder = process.cwd();
}

var files = fs.readdirSync(folder);

files.forEach(function(file) {
	var filePath = folder + "/" + file;
	if(!fs.lstatSync(filePath).isFile())
		return;

	var data = cognate.replace(fs.readFileSync(filePath, 'utf8'));
	fs.writeFile(filePath, data, 'utf8', function(err){
		if(err)
			console.error(err);
		console.log(file + " - Checked")
	});
});